# std::error_condition::clear

From cppreference.com
< cpp‎ | error‎ | error condition

void clear(); |  | (since C++11)

Clears the state of the error condition. Sets the error code to ​0​ and error category to std::generic_category.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/clear&oldid=91618"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template